Bug 1081473 - Nvidia Jetson TX1 does not boot from SD on Tumbleweed
Nvidia Jetson TX1 does not boot from SD on Tumbleweed
Status: RESOLVED FIXED
Classification: openSUSE
Product: openSUSE Tumbleweed
Classification: openSUSE
Component: Kernel
Current
aarch64 openSUSE Factory
: P5 - None : Major (vote)
: ---
Assigned To: Andreas Färber
E-mail List
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2018-02-18 17:44 UTC by Andreas Färber
Modified: 2022-07-21 17:21 UTC (History)
3 users (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Andreas Färber 2018-02-18 17:44:29 UTC
Using the latest JeOS rootfs tarball with kernel 4.14.15, the kernel finds eMMC but not SD. Adding "fixed" regulator driver to initrd did not help.

With today's mainline linux.git defconfig it does boot up okay.

One possible cause is missing drivers for its MAX77620 PMIC.
Comment 1 Andreas Färber 2018-02-19 00:28:09 UTC
kernel-default 4.15.4 with MAX77620 drivers enabled/added still does not find SD and runs into exynos_iommu_domain_alloc(), which resembles:

https://git.kernel.org/pub/scm/linux/kernel/git/torvalds/linux.git/commit/drivers/iommu/exynos-iommu.c?id=dc98b8480d8a68c2ce9aa28b9f0d714fd258bc0b
Comment 2 Andreas Färber 2018-05-22 01:46:38 UTC
With kernel-default 4.16.6 and 4.17.rc5 it's working now.